package hiro.yoshioka.util;

import java.io.File;
import java.io.FileNotFoundException;

public class TestFileExt {

	/**
	 * @param args
	 * @throws FileNotFoundException
	 */
	public static void main(String[] args) throws FileNotFoundException {

		String bmp = "/Users/yonsama/Downloads/colorchar_adobe.bmp";
		String pdf = "/Users/yonsama/tools/eclipse36/Eclipse.app/Contents/MacOS/blob/B__6208828401569426174.pdf";
		String txt = "/Users/yonsama/tools/eclipse36/Eclipse.app/Contents/MacOS/blob/B__828135338622617229.bmp";

		String pat = FileUtil.getFirst256ByteText(new File(bmp));
		System.out.println("ret=" + FileExtentionType.parse(pat));
		System.out.println("ret="
				+ FileExtentionType.parse(FileUtil
						.getFirst256ByteText(new File(pdf))));
		System.out.println("ret="
				+ FileExtentionType.parse(FileUtil
						.getFirst256ByteText(new File(txt))));

	}
}
